Module org.jfree.chart3d
Package org.jfree.chart3d.data

# Enum Class NullConversion

java.lang.Object
java.lang.Enum<NullConversion>
org.jfree.chart3d.data.NullConversion

All Implemented Interfaces:
  `Serializable`, `Comparable<NullConversion>`, `Constable`

public enum NullConversion extends Enum<NullConversion>
Options for handling `null` values during dataset extraction (SKIP, CONVERT_TO_NAN, CONVERT_TO_ZERO, THROW_EXCEPTION).

Since:
  1.3

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CONVERT_TO_NAN`
Convert the `null` to `Double.NaN`.
`CONVERT_TO_ZERO`
Convert the `null` to zero.
`SKIP`
Skip the item that contains the `null` value.
`THROW_EXCEPTION`
Throw a runtime exception.

## Method Summary

Modifier and Type
Method
Description
`static NullConversion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static NullConversion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SKIP

public static final NullConversion SKIP
Skip the item that contains the `null` value.

### CONVERT_TO_NAN

public static final NullConversion CONVERT_TO_NAN
Convert the `null` to `Double.NaN`.

### CONVERT_TO_ZERO

public static final NullConversion CONVERT_TO_ZERO
Convert the `null` to zero.

### THROW_EXCEPTION

public static final NullConversion THROW_EXCEPTION
Throw a runtime exception.

## Method Details

### values

public static NullConversion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static NullConversion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null